package com.smart.hospital.common.lock.enums;

/**
 * 锁类型
 */
public enum LockType {

	/**
	 * 可重入锁
	 */
	REENTRANT,
	/**
	 * 公平锁
	 */
	FAIR,
	/**
	 * 联锁
	 */
	MULTI,
	/**
	 * 红锁
	 */
	RED,
	/**
	 * 读锁
	 */
	READ,
	/**
	 * 写锁
	 */
	WRITE,


	/**
	 * 分布式可重入排它锁(zookeeper)
	 */
	MUTEX,

	/**
	 * 分布式排它锁(zookeeper)
	 */
	SEMAPHORE_MUTEX;

}
